package io.accumulatenetwork.sdk.generated.protocol;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.Marshallable;
import io.accumulatenetwork.sdk.protocol.TxID;
import io.accumulatenetwork.sdk.support.Marshaller;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("TxIdSet")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TxIdSet implements Marshallable {
	private TxID[] entries;

    //
	public TxID[] getEntries() {
	    return entries;
	}
	public void setEntries(final TxID[] value) {
	    this.entries = value;
	}

	public TxIdSet entries(final TxID[] value) {
	    setEntries(value);
	    return this;
	}
    public byte[] marshalBinary() {
        final var marshaller = new Marshaller();
        if (!(this.entries == null || this.entries.length == 0)) {
            marshaller.writeTxid(1, this.entries);
        }
        return marshaller.array();
    }
}
